Bug 825174 - etherpad quick start is not accessible.
etherpad quick start is not accessible.
Product: OpenShift Origin
Classification: Red Hat
Component: Templates (Show other bugs)
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-05-25 05:48 EDT by Johnny Liu
Modified: 2015-05-14 21:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-25 14:26:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-05-25 05:48:20 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Follow https://github.com/openshift/etherpad-example to create etherpad
2. Access http://etherpad-jialiu.dev.rhcloud.com/
Actual results:
Get error - "Service Temporarily Unavailable".

Check the app log, get the following error:

Fri May 25 2012 05:47:39 GMT-0400 (EDT): Starting application 'etherpad' ...
npm info it worked if it ends with ok
npm info using npm@1.1.1
npm info using node@v0.6.11
npm info prestart etherpad-lite@1.0.0
npm info start etherpad-lite@1.0.0

> etherpad-lite@1.0.0 start /var/lib/stickshift/b29306054bd3498ca7d9f4131d0443e1/app/repo
> node server.js

        throw e; // process.nextTick error, or 'error' event on first tick
Error: Cannot find module './mongodb_db'
    at Function._resolveFilename (module.js:332:11)
    at Function._load (module.js:279:25)
    at Module.require (module.js:354:17)
    at require (module.js:370:17)
    at new <anonymous> (/var/lib/stickshift/b29306054bd3498ca7d9f4131d0443e1/app/repo/node_modules/ueberDB/CloneAndAtomicLayer.js:37:20)
    at Object.<anonymous> (/var/lib/stickshift/b29306054bd3498ca7d9f4131d0443e1/app/repo/node/db/DB.js:27:10)
    at Module._compile (module.js:441:26)
    at Object..js (module.js:459:10)
    at Module.load (module.js:348:31)
    at Function._load (module.js:308:12)
npm info etherpad-lite@1.0.0 Failed to exec start script

npm ERR! etherpad-lite@1.0.0 start: `node server.js`
npm ERR! `sh "-c" "node server.js"` failed with 1
npm ERR! 
npm ERR! Failed at the etherpad-lite@1.0.0 start script.
npm ERR! This is most likely a problem with the etherpad-lite package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node server.js
npm ERR! You can get their info via:
npm ERR!     npm owner ls etherpad-lite
npm ERR! There is likely additional logging output above.
npm ERR! 
npm ERR! System Linux 2.6.32-220.17.1.el6.x86_64
npm ERR! command "node" "/usr/bin/npm" "start" "-d"
npm ERR! cwd /var/lib/stickshift/b29306054bd3498ca7d9f4131d0443e1/app/repo
npm ERR! node -v v0.6.11
npm ERR! npm -v 1.1.1
npm ERR! message etherpad-lite@1.0.0 start: `node server.js`
npm ERR! message `sh "-c" "node server.js"` failed with 1
npm ERR! errno {}
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /var/lib/stickshift/b29306054bd3498ca7d9f4131d0443e1/app/repo/npm-debug.log
npm not ok

Expected results:
etherpad app should be avaialbe.

Additional info:
Comment 1 Ram Ranganathan 2012-05-30 14:37:50 EDT
This is an issue w/ the quickstart copying over files to the wrong directory. 
Will need a nodejs cartridge update to change where deplist.txt specified modules are installed.
Comment 2 Ram Ranganathan 2012-05-30 19:11:21 EDT
Ok -- this is a problem w/ the sample quickstart -- it already has a package.json which will install node_modules locally within the app -- but the directory is copying over files as part of the action hooks is the wrong one.  Its not a nodejs cartridge issue. 

Need to fix the sample quickstart.
Comment 3 Ram Ranganathan 2012-06-12 12:32:16 EDT
Fixed with git pull request https://github.com/openshift/etherpad-example/pull/1

Jhon, can you please pull and close this bug out. Thanks.
Comment 4 Rony Gong 2012-06-14 02:10:16 EDT
Verified on devenv_1843
follow steps in:

then access page could get Etherpad lite page, input name to the new pad, click ok,then redirect to the detail edit page:
Welcome to Etherpad Lite!

This pad text is synchronized as you type, so that everyone viewing this page sees the same text. This allows you to collaborate seamlessly on documents!

Etherpad Lite on Github: http://j.mp/ep-lite

Note You need to log in before you can comment on or make changes to this bug.